extends Node2D


var event_dict = {}
var last_events = []


func _unhandled_input(event):
	# CounterStats
	var event_name = event.get_class()
	if not event_dict.has(event_name):
		event_dict[event.get_class()] = 0

	event_dict[event.get_class()] += 1

	%CounterStats.text = ""
	for e in event_dict:
		%CounterStats.text += "[color=ffffaa]%s[/color] = %s" % [e, event_dict[e]] + "\n"

	# LastEvents
	if last_events.size() > 15:
		last_events.pop_front()

	last_events.push_back(event)
	%LastEvents.text = ""
	for e in last_events:
		%LastEvents.text = str(e) + "\n----------------\n" + %LastEvents.text
